Commit 6de0e799 authored by Glenn Morris's avatar Glenn Morris

Remove macro MIN_PTY_KERNEL_VERSION, only used in one place

* src/process.c (init_process_emacs): Replace MIN_PTY_KERNEL_VERSION.
* src/s/darwin.h (MIN_PTY_KERNEL_VERSION): Remove single-use macro.
parent 4fae5a7a
2012-07-13 Glenn Morris <rgm@gnu.org>
* process.c (init_process_emacs): Replace MIN_PTY_KERNEL_VERSION.
* s/darwin.h (MIN_PTY_KERNEL_VERSION): Remove single-use macro.
2012-07-12 Glenn Morris <rgm@gnu.org>
* s/darwin.h (SYSTEM_PURESIZE_EXTRA): Move to configure.
......
......@@ -7398,8 +7398,7 @@ init_process_emacs (void)
char const *release = (STRINGP (Voperating_system_release)
? SSDATA (Voperating_system_release)
: 0);
if (!release || !release[0] || (release[0] < MIN_PTY_KERNEL_VERSION
&& release[1] == '.')) {
if (!release || !release[0] || (release[0] < '7' && release[1] == '.')) {
Vprocess_connection_type = Qnil;
}
}
......
......@@ -30,10 +30,6 @@ along with GNU Emacs. If not, see <http://www.gnu.org/licenses/>. */
distinguish OS X from pure Darwin. */
#define DARWIN_OS
/* PTYs only work correctly on Darwin 7 or higher. So make the default
for process-connection-type dependent on the kernel version. */
#define MIN_PTY_KERNEL_VERSION '7'
/* Definitions for how to compile & link. */
#ifdef emacs
#define malloc unexec_malloc
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment